﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UnitTestInterface
{
    delegate void PrintDelegate(string s);

    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void testButton_Click(object sender, EventArgs e)
        {
            var ofd = new OpenFileDialog();
            ofd.Filter = "Executable (*.exe)|*.exe|Any (*.*)|*.*";

            if (ofd.ShowDialog() == DialogResult.OK)
            {
                Runner.RunTest(
                    ofd.FileName,
                    outputBox.AppendText,
                    (s) => outputBox.AppendText(s+Environment.NewLine));
            }
        }
    }
}
